%define	major 0
%define libname %mklibname jbig2dec %{major}
%define develname %mklibname jbig2dec -d

Summary:	A decoder implementation of the JBIG2 image compression format
Name:		jbig2dec
Version:	0.13
Release:	%mkrel 2
License:	GPLv2
Group:		Graphics/Utilities
URL:		http://jbig2dec.sourceforge.net/
Source0:	http://downloads.ghostscript.com/public/jbig2dec/%{name}-%{version}.tar.gz
Patch2:		jbig2dec-0.11-automake-1.13.patch
Patch3:         020160518~1369359.patch
Patch4:         020161212~e698d5c.patch
Patch5:         020161214~9d2c4f3.patch
Patch6:         1001_ignore_python_test.patch
#Patch7:         1004_extract_infile_from_autogen-sh.patch
Patch8:         2001_disable_memento.patch

BuildRequires:	automake

%description
jbig2dec is a decoder implementation of the JBIG2 image compression format.
JBIG2 is designed for lossy or lossless encoding of 'bilevel' (1-bit 
monochrome) images at moderately high resolution, and in particular scanned
paper documents. In this domain it is very efficient, offering compression
ratios on the order of 100:1.

%package -n	%{libname}
Summary:	A decoder implementation of the JBIG2 image compression format
Group:          System/Libraries

%description -n	%{libname}
jbig2dec is a decoder implementation of the JBIG2 image compression format.
JBIG2 is designed for lossy or lossless encoding of 'bilevel' (1-bit 
monochrome) images at moderately high resolution, and in particular scanned
paper documents. In this domain it is very efficient, offering compression
ratios on the order of 100:1.

This package provides the shared jbig2dec library.

%package -n	%{develname}
Summary:	Static library and header files for development with jbig2dec
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	jbig2dec-devel = %{version}-%{release}

%description -n	%{develname}
jbig2dec is a decoder implementation of the JBIG2 image compression format.
JBIG2 is designed for lossy or lossless encoding of 'bilevel' (1-bit 
monochrome) images at moderately high resolution, and in particular scanned
paper documents. In this domain it is very efficient, offering compression
ratios on the order of 100:1.

This package is only needed if you plan to develop or compile applications
which requires the jbig2dec library.

%prep

%setup -q
%autopatch -p1

# fix strange perms
find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

%build
libtoolize --copy --force; aclocal; autoheader; autoconf; automake --foreign --copy --add-missing

%configure2_5x

%make

%install
%makeinstall_std

%files
%attr(0755,root,root) %{_bindir}/jbig2dec
%attr(0644,root,root) %{_mandir}/man1/jbig2dec.1*

%files -n %{libname}
%doc CHANGES COPYING LICENSE README
%attr(0755,root,root) %{_libdir}/*.so.%{major}*

%files -n %{develname}
%attr(0644,root,root) %{_includedir}/*.h
%attr(0644,root,root) %{_libdir}/*.so
%attr(0644,root,root) %{_libdir}/*.*a


%changelog
* Tue Apr 25 2017 neoclust <neoclust> 0.13-2.mga6
+ Revision: 1097302
-  Add patches cherry-picked upstream to squash signed/unsigned
   warnings and to fix warning for always-false unsigned < 0 tests.
   CVE-2016-9601
   Closes: mga#20565. Thanks to Salvatore Bonaccorso.

* Wed May 25 2016 luigiwalser <luigiwalser> 0.13-1.mga6
+ Revision: 1018452
- 0.13

* Sat Jan 02 2016 luigiwalser <luigiwalser> 0.12-1.mga6
+ Revision: 918442
- 0.12
- remove patch 1 (fixed upstream)

* Wed Oct 15 2014 umeabot <umeabot> 0.11-7.mga5
+ Revision: 746807
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11-6.mga5
+ Revision: 680662
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.11-5.mga4
+ Revision: 506212
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.11-4.mga3
+ Revision: 354875
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Mon Jan 07 2013 luigiwalser <luigiwalser> 0.11-3.mga3
+ Revision: 340562
- fix RPM group
- fix for automake 1.13

* Sat Jan 15 2011 blino <blino> 0.11-2.mga1
+ Revision: 19224
- remove old ldconfig scriptlets
- imported package jbig2dec


* Sun Jan 02 2011 Oden Eriksson <oeriksson@mandriva.com> 0.11-1mdv2011.0
+ Revision: 627601
- 0.11

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.10-4mdv2011.0
+ Revision: 606076
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 0.10-3mdv2010.1
+ Revision: 519824
- rebuild

* Thu Oct 29 2009 Frederic Crozat <fcrozat@mandriva.com> 0.10-2mdv2010.0
+ Revision: 459916
- Force rebuild

* Tue Oct 27 2009 Oden Eriksson <oeriksson@mandriva.com> 0.10-1mdv2010.0
+ Revision: 459475
- import jbig2dec


* Tue Oct 27 2009 Oden Eriksson <oeriksson@mandriva.com> 0.10-1mdv2010.0
- initial Mandriva package
